Bug 114241 - kernel panic on 2.4.22-1.2149 when / partition is ext3
kernel panic on 2.4.22-1.2149 when / partition is ext3
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-01-25 05:09 EST by Stanislav Mironov
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-19 14:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stanislav Mironov 2004-01-25 05:09:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
System kernel panics on every boot with kernel 2149.
It seems that it fails to correctly autodetect ext3 and uses ext2
module instead.
"VFS: Kernel panic, no root found", "LABEL=/", ... or something.
On 2129 kernel everything is OK.

/dev/hda2 on /boot type ext3 (rw)
/dev/hda3 on / type ext3 (rw)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -ivh kernel-2.4.22-1.2149 on ext3 partition
2. boot

Actual Results:  Kernel panic on root not found.

Expected Results:  Boot as in 2129
Comment 1 Kaj J. Niemi 2004-01-25 17:14:19 EST
What's your mkinitrd version? If it's 3.5.16.x (or so) you might want
to upgrade to 3.5.17-1 or later and re-install your kernel. Take a
look at bug #112623.

Comment 2 Dave Jones 2004-06-19 11:32:08 EDT
later kernels work ok ?
Comment 3 Stanislav Mironov 2004-06-19 14:20:27 EDT
This case seems to be caused by incomplete rpm.
I redownload/reinstall helped. Sorry 'bout that.

Note You need to log in before you can comment on or make changes to this bug.